%define	with_python_subpackage	1%{nil}
%define	with_python_version	2.3%{nil}
%define	with_bzip2		1%{nil}
%define	with_apidocs		1%{nil}

# XXX legacy requires './' payload prefix to be omitted from rpm packages.
%define	_noPayloadPrefix	1

%define	__prefix	/usr
%{?!_lib: %define _lib lib}
%{expand: %%define __share %(if [ -d %{__prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}

%define __bindir	%{__prefix}/bin
%define __includedir	%{__prefix}/include
%define __libdir	%{__prefix}/%{_lib}
%define __mandir	%{__prefix}%{__share}/man

Summary: The RPM package management system.
Name: rpm
%define version 4.3.3
Version: %{version}
%{expand: %%define rpm_version %{version}}
Release: 26_nonptl
Group: System Environment/Base
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/rpm-%{rpm_version}.tar.gz
Source1: rpm-4.3.3-README.upgrades
Source2: rpm-4.3.3-es.po
Source3: rpm-4.3.3-it.po
Source4: rpm-4.3.3-zh.po
Source5: rpm-4.3.3-zh_CN.GB2312.po
Patch0: ld_assume_kernel_bypass_rhel4.patch
Patch1: rpm-sparse.patch
Patch2: rpm-ldconfig.patch
Patch3: rpm-execcon.patch
Patch4: rpm-4.3.3-rpmal.patch
Patch5: rpm-4.3.3-ppc64.patch
Patch6: rpm-4.3.3-rpmal-segv.patch
Patch7: rpm-4.3.3-no-ppc-asm.patch
Patch8: rpm-4.3.3-define.patch
Patch9: rpm-4.3.3-userlock.patch
Patch10: rpm-4.3.3-debuginfo.patch
Patch11: rpm-4.3.3-no_large_mmap.patch
Patch12: rpm-4.3.3-split-typo.patch
Patch13: rpm-4.3.3-rpmsq-deadlock.patch
Patch14: rpm-4.3.3-selinux-enabled-install.patch
Patch15: rpm-4.3.3-zeromd5.patch
Patch16: rpm-4.3.3-ignoresize.patch
Patch17: rpm-4.3.3-man-context.patch
Patch18: rpm-4.3.3-man-obsoletes.patch
Patch19: rpm-4.3.3-build-man-nodeps.patch
Patch20: rpm-4.3.3-linguas.patch
Patch21: rpm-4.3.3-python-aslist.patch
Patch22: rpm-4.3.3-debugedit-ppc-reloc.patch
Patch23: rpm-4.3.3-rpmio-bytesremain.patch
Patch24: rpm-4.3.3-x86_64-links.patch
Patch25: rpm-4.3.3-man-conflicts.patch
Patch26: rpm-4.3.3-openpgp-fingerprint.patch
Patch27: rpm-4.3.3-prereqs-typo.patch
Patch28: rpm-4.3.3-debugedit-fix-O0.patch
Patch29: rpm-4.3.3-order-multilib.patch
Patch30: rpm-4.3.3-no-skipdir.patch
Patch31: rpm-4.3.3-arch-query.patch
Patch32: rpm-4.3.3-no-doc-conflicts.patch
License: GPL
Conflicts: patch < 2.5
%ifos linux
Prereq: fileutils shadow-utils
%endif
Requires: popt = 1.9.1
Obsoletes: rpm-perl < %{version}

# XXX necessary only to drag in /usr/lib/libelf.a, otherwise internal elfutils.
BuildRequires: elfutils-libelf
BuildRequires: elfutils-devel

BuildRequires: zlib-devel
BuildRequires: readline-devel

BuildRequires: beecrypt-devel >= 3.0.1
Requires: beecrypt >= 3.0.1
BuildRequires: autoconf

# XXX Red Hat 5.2 has not bzip2 or python
%if %{with_bzip2}
BuildRequires: bzip2 >= 0.9.0c-2
%endif
%if %{with_python_subpackage}
BuildRequires: python-devel >= %{with_python_version}
%endif

BuildRoot: %{_tmppath}/%{name}-root

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package libs
Summary:  Libraries for manipulating RPM packages.
Group: Development/Libraries

%description libs
This package contains the RPM shared libraries.

%package devel
Summary:  Development files for manipulating RPM packages.
Group: Development/Libraries
Requires: rpm = %{rpm_version}-%{release}

%description devel
This package contains the RPM C library and header files. These
development files will simplify the process of writing programs that
manipulate RPM packages and databases. These files are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary: Scripts and executable programs used to build packages.
Group: Development/Tools
Requires: rpm = %{rpm_version}-%{release}, patch >= 2.5, file
Provides: rpmbuild(VendorConfig) = 4.1-1

%description build
The rpm-build package contains the scripts and executable programs
that are used to build packages using the RPM Package Manager.

%if %{with_python_subpackage}
%package python
Summary: Python bindings for apps which will manipulate RPM packages.
Group: Development/Libraries
Requires: rpm = %{rpm_version}-%{release}
Requires: python >= %{with_python_version}
Requires: elfutils >= 0.55

%description python
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.
%endif

%package -n popt
Summary: A C library for parsing command line parameters.
Group: Development/Libraries
Version: 1.9.1

%description -n popt
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%prep
%setup -q
%patch0 -p1 -b .nonptl
%patch1 -p0 -b .sparse
%patch2 -p0 -b .ldconfig
%patch3 -p1 -b .execcon
%patch4 -p1 -b .rpmal
%patch5 -p1 -b .ppc64
%patch6 -p1 -b .rpmalsegv
%patch7 -p1 -b .noppcasm
%patch8 -p1 -b .define
%patch9 -p1 -b .userlock
%patch10 -p1 -b .debuginfo
%patch11 -p1 -b .mmap
%patch12 -p1 -b .typo
%patch13 -p1 -b .deadlock
%patch14 -p1 -b .selinux
%patch15 -p1 -b .zeromd5
%patch16 -p1 -b .ignoresize
%patch17 -p1 -b .manctxt
%patch18 -p1 -b .manobs
%patch19 -p1 -b .mannodeps
%patch20 -p1 -b .linguas
%patch21 -p1 -b .aslist
%patch22 -p0 -b .dbgppc
%patch23 -p1 -b .httpsig
%patch24 -p1 -b .amd64
%patch25 -p1 -b .mancon
%patch26 -p1 -b .gpgfp
%patch27 -p1 -b .prereqfix
%patch28 -p1 -b .debugO0
%patch29 -p1 -b .ordermulti
%patch30 -p1 -b .no-skipdir
%patch31 -p1 -b .archquery
%patch32 -p1 -b .no-doc-conflicts

# Document freshen behavior
cp %{SOURCE1} README.upgrades

# Updated translations
pushd po
cp %{SOURCE2} es.po
cp %{SOURCE3} it.po
cp %{SOURCE4} zh.po
cp %{SOURCE5} zh_CN.GB2312.po
popd

#rebuild all_linguas
autoconf

%build

# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

%if %{with_python_subpackage}
WITH_PYTHON="--with-python=%{with_python_version}"
%else
WITH_PYTHON="--without-python"
%endif

%ifos linux
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
./configure --prefix=%{__prefix} --sysconfdir=/etc \
	--localstatedir=/var --infodir='${prefix}%{__share}/info' \
	--mandir='${prefix}%{__share}/man' \
	$WITH_PYTHON --enable-posixmutexes --without-javaglue
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
	--without-javaglue
%endif

make %{_smp_mflags}

%install
# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

rm -rf $RPM_BUILD_ROOT

make DESTDIR="$RPM_BUILD_ROOT" install

%ifos linux

# Save list of packages through cron
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}/etc/cron.daily/rpm

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}/etc/logrotate.d/rpm

mkdir -p $RPM_BUILD_ROOT/etc/rpm

mkdir -p $RPM_BUILD_ROOT/var/spool/repackage
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
for dbi in \
	Basenames Conflictname Dirnames Group Installtid Name Packages \
	Providename Provideversion Requirename Requireversion Triggername \
	Filemd5s Pubkeys Sha1header Sigmd5 \
	__db.001 __db.002 __db.003 __db.004 __db.005 __db.006 __db.007 \
	__db.008 __db.009
do
    touch $RPM_BUILD_ROOT/var/lib/rpm/$dbi
done

# - serialize rpmtsRun() using fcntl on /var/lock/rpm/transaction.
mkdir -p ${RPM_BUILD_ROOT}/var/lock/rpm
%endif

%if %{with_apidocs}
gzip -9n apidocs/man/man*/* || :
%endif

# Get rid of unpackaged files
{ cd $RPM_BUILD_ROOT
  rm -rf .%{__includedir}/beecrypt
  rm -f .%{__libdir}/libbeecrypt.{a,la,so.2.2.0}
  rm -f .%{__prefix}/lib/rpm/{Specfile.pm,cpanflute,cpanflute2,rpmdiff,rpmdiff.cgi,sql.prov,sql.req,tcl.req}
  rm -rf .%{__mandir}/{fr,ko}
}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%ifos linux
if [ -f /var/lib/rpm/packages.rpm ]; then
    echo "
You have (unsupported)
	/var/lib/rpm/packages.rpm	db1 format installed package headers
Please install rpm-4.0.4 first, and do
	rpm --rebuilddb
to convert your database from db1 to db3 format.
"
    exit 1
fi
/usr/sbin/groupadd -g 37 rpm				> /dev/null 2>&1
/usr/sbin/useradd  -r -d /var/lib/rpm -u 37 -g 37 rpm -s /sbin/nologin	> /dev/null 2>&1
%endif
exit 0

%post
%ifos linux
/sbin/ldconfig

# Establish correct rpmdb ownership.
/bin/chown rpm.rpm /var/lib/rpm/[A-Z]*

# XXX Detect (and remove) incompatible dbenv files during db-4.2.52 upgrade.
# XXX Removing dbenv files in %%post opens a lock race window, a tolerable
# XXX risk compared to the support issues involved with upgrading Berkeley DB.
[ -w /var/lib/rpm/__db.001 ] &&
/usr/lib/rpm/rpmdb_stat -CA -h /var/lib/rpm 2>&1 |
grep "db_stat: Program version 4.2 doesn't match environment version" 2>&1 > /dev/null &&
	rm -f /var/lib/rpm/__db*
                                                                                
%endif
exit 0

%ifos linux
%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
    /usr/sbin/userdel rpm
    /usr/sbin/groupdel rpm
fi
exit 0

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%post -n popt -p /sbin/ldconfig
%postun -n popt -p /sbin/ldconfig
%endif

%if %{with_python_subpackage}
%post python -p /sbin/ldconfig
%postun python -p /sbin/ldconfig
%endif

%define	rpmattr		%attr(0755, rpm, rpm)

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY RPM-GPG-KEY BETA-GPG-KEY CHANGES GROUPS doc/manual/[a-z]* README.upgrades
# XXX comment these lines out if building with rpm that knows not %pubkey attr
%pubkey RPM-PGP-KEY
%pubkey RPM-GPG-KEY
%pubkey BETA-GPG-KEY
%attr(0755, rpm, rpm)	/bin/rpm

%ifos linux
%config(noreplace,missingok)	/etc/cron.daily/rpm
%config(noreplace,missingok)	/etc/logrotate.d/rpm
%dir				/etc/rpm
#%config(noreplace,missingok)	/etc/rpm/macros.*
%attr(0755, rpm, rpm)	%dir /var/lib/rpm
%attr(0755, rpm, rpm)	%dir /var/spool/repackage
%attr(0755, rpm, rpm)	%dir /var/lock/rpm

%define	rpmdbattr %attr(0644, rpm, rpm) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)
%rpmdbattr	/var/lib/rpm/*
%endif

%rpmattr	%{__bindir}/rpm2cpio
%rpmattr	%{__bindir}/gendiff
%rpmattr	%{__bindir}/rpmdb
#%rpmattr	%{__bindir}/rpm[eiu]
%rpmattr	%{__bindir}/rpmsign
%rpmattr	%{__bindir}/rpmquery
%rpmattr	%{__bindir}/rpmverify

%attr(0755, rpm, rpm)	%dir %{__prefix}/lib/rpm
%rpmattr	%{__prefix}/lib/rpm/config.guess
%rpmattr	%{__prefix}/lib/rpm/config.sub
%rpmattr	%{__prefix}/lib/rpm/convertrpmrc.sh
%rpmattr	%{__prefix}/lib/rpm/freshen.sh
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/macros
%rpmattr	%{__prefix}/lib/rpm/mkinstalldirs
%rpmattr	%{__prefix}/lib/rpm/rpm.*
%rpmattr	%{__prefix}/lib/rpm/rpm2cpio.sh
%rpmattr	%{__prefix}/lib/rpm/rpm[deiukqv]
%rpmattr	%{__prefix}/lib/rpm/tgpg
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmpopt*
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmrc

%ifarch i386 i486 i586 i686 athlon
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/i[3456]86*
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/athlon*
%endif
%ifarch alpha alphaev5 alphaev56 alphapca56 alphaev6 alphaev67
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/alpha*
%endif
%ifarch sparc sparcv8 sparcv9 sparc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/sparc*
%endif
%ifarch ia64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ia64*
%endif
%ifarch powerpc ppc ppciseries ppcpseries ppcmac ppc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ppc*
%endif
%ifarch s390 s390x
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/s390*
%endif
%ifarch armv3l armv4l
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/armv[34][lb]*
%endif
%ifarch mips mipsel
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/mips*
%endif
%ifarch x86_64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/x86_64*
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/amd64*
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ia32e*
%endif
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/noarch*

%rpmattr	%{__prefix}/lib/rpm/rpmdb_deadlock
%rpmattr	%{__prefix}/lib/rpm/rpmdb_dump
%rpmattr	%{__prefix}/lib/rpm/rpmdb_load
%rpmattr	%{__prefix}/lib/rpm/rpmdb_loadcvt
%rpmattr	%{__prefix}/lib/rpm/rpmdb_svc
%rpmattr	%{__prefix}/lib/rpm/rpmdb_stat
%rpmattr	%{__prefix}/lib/rpm/rpmdb_verify
%rpmattr	%{__prefix}/lib/rpm/rpmfile

%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/rpm.mo
%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/rpm.mo
%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/rpm.mo
%lang(es)	%{__prefix}/*/locale/es/LC_MESSAGES/rpm.mo
%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/rpm.mo
%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/rpm.mo
%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/rpm.mo
%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/rpm.mo
%lang(it)	%{__prefix}/*/locale/it/LC_MESSAGES/rpm.mo
%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/rpm.mo
%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/rpm.mo
%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/rpm.mo
%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/rpm.mo
%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/rpm.mo
%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/rpm.mo
%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/rpm.mo
%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/rpm.mo
%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/rpm.mo
%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/rpm.mo
%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/rpm.mo
%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/rpm.mo
%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/rpm.mo
%lang(zh)	%{__prefix}/*/locale/zh/LC_MESSAGES/rpm.mo
%lang(zh_CN)	%{__prefix}/*/locale/zh_CN.GB2312/LC_MESSAGES/rpm.mo

%{__mandir}/man1/gendiff.1*
%{__mandir}/man8/rpm.8*
%{__mandir}/man8/rpm2cpio.8*
%lang(ja)	%{__mandir}/ja/man[18]/*.[18]*
%lang(pl)	%{__mandir}/pl/man[18]/*.[18]*
%lang(ru)	%{__mandir}/ru/man[18]/*.[18]*
%lang(sk)	%{__mandir}/sk/man[18]/*.[18]*

%files libs
%defattr(-,root,root)
%{__libdir}/librpm-4.3.so
%{__libdir}/librpmdb-4.3.so
%{__libdir}/librpmio-4.3.so
%{__libdir}/librpmbuild-4.3.so

%files build
%defattr(-,root,root)
%dir %{__prefix}/src/redhat
%dir %{__prefix}/src/redhat/BUILD
%dir %{__prefix}/src/redhat/SPECS
%dir %{__prefix}/src/redhat/SOURCES
%dir %{__prefix}/src/redhat/SRPMS
%dir %{__prefix}/src/redhat/RPMS
%{__prefix}/src/redhat/RPMS/*
%rpmattr	%{__bindir}/rpmbuild
%rpmattr	%{__prefix}/lib/rpm/brp-*
%rpmattr	%{__prefix}/lib/rpm/check-files
%rpmattr	%{__prefix}/lib/rpm/check-prereqs
%rpmattr	%{__prefix}/lib/rpm/config.site
%rpmattr	%{__prefix}/lib/rpm/cross-build
%rpmattr	%{__prefix}/lib/rpm/debugedit
%rpmattr	%{__prefix}/lib/rpm/find-debuginfo.sh
%rpmattr	%{__prefix}/lib/rpm/find-lang.sh
%rpmattr	%{__prefix}/lib/rpm/find-prov.pl
%rpmattr	%{__prefix}/lib/rpm/find-provides
%rpmattr	%{__prefix}/lib/rpm/find-provides.perl
%rpmattr	%{__prefix}/lib/rpm/find-req.pl
%rpmattr	%{__prefix}/lib/rpm/find-requires
%rpmattr	%{__prefix}/lib/rpm/find-requires.perl
%rpmattr	%{__prefix}/lib/rpm/get_magic.pl
%rpmattr	%{__prefix}/lib/rpm/getpo.sh
%rpmattr	%{__prefix}/lib/rpm/http.req
%rpmattr	%{__prefix}/lib/rpm/javadeps
%rpmattr	%{__prefix}/lib/rpm/magic
%rpmattr	%{__prefix}/lib/rpm/magic.mgc
%rpmattr	%{__prefix}/lib/rpm/magic.mime
%rpmattr	%{__prefix}/lib/rpm/magic.mime.mgc
%rpmattr	%{__prefix}/lib/rpm/magic.prov
%rpmattr	%{__prefix}/lib/rpm/magic.req
%rpmattr	%{__prefix}/lib/rpm/perldeps.pl
%rpmattr	%{__prefix}/lib/rpm/perl.prov
%rpmattr	%{__prefix}/lib/rpm/perl.req

%rpmattr	%{__prefix}/lib/rpm/rpm[bt]
%rpmattr	%{__prefix}/lib/rpm/rpmdeps
%rpmattr	%{__prefix}/lib/rpm/trpm
%rpmattr	%{__prefix}/lib/rpm/u_pkg.sh
%rpmattr	%{__prefix}/lib/rpm/vpkg-provides.sh
%rpmattr	%{__prefix}/lib/rpm/vpkg-provides2.sh

%{__mandir}/man8/rpmbuild.8*
%{__mandir}/man8/rpmdeps.8*

%if %{with_python_subpackage}
%files python
%defattr(-,root,root)
%{__libdir}/python%{with_python_version}/site-packages/rpmmodule.so
%{__libdir}/python%{with_python_version}/site-packages/rpmdb
%endif

%files devel
%defattr(-,root,root)
%if %{with_apidocs}
%doc apidocs
%endif
%{__includedir}/rpm
%{__libdir}/librpm.a
%{__libdir}/librpm.la
%{__libdir}/librpm.so
%{__libdir}/librpmdb.a
%{__libdir}/librpmdb.la
%{__libdir}/librpmdb.so
%{__libdir}/librpmio.a
%{__libdir}/librpmio.la
%{__libdir}/librpmio.so
%{__libdir}/librpmbuild.a
%{__libdir}/librpmbuild.la
%{__libdir}/librpmbuild.so
%{__mandir}/man8/rpmcache.8*
%{__mandir}/man8/rpmgraph.8*
%rpmattr	%{__prefix}/lib/rpm/rpmcache
%rpmattr	%{__bindir}/rpmgraph

%files -n popt
%defattr(-,root,root)
%{__libdir}/libpopt.so.*
%{__mandir}/man3/popt.3*
%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/popt.mo
%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/popt.mo
%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/popt.mo
%lang(es)	%{__prefix}/*/locale/es/LC_MESSAGES/popt.mo
%lang(eu_ES)	%{__prefix}/*/locale/eu_ES/LC_MESSAGES/popt.mo
%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/popt.mo
%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/popt.mo
%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/popt.mo
%lang(hu)	%{__prefix}/*/locale/hu/LC_MESSAGES/popt.mo
%lang(id)	%{__prefix}/*/locale/id/LC_MESSAGES/popt.mo
%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/popt.mo
%lang(it)	%{__prefix}/*/locale/it/LC_MESSAGES/popt.mo
%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/popt.mo
%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/popt.mo
%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/popt.mo
%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/popt.mo
%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/popt.mo
%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/popt.mo
%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/popt.mo
%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/popt.mo
%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/popt.mo
%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/popt.mo
%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/popt.mo
%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/popt.mo
%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/popt.mo
%lang(uk)	%{__prefix}/*/locale/uk/LC_MESSAGES/popt.mo
%lang(wa)	%{__prefix}/*/locale/wa/LC_MESSAGES/popt.mo
%lang(zh)	%{__prefix}/*/locale/zh/LC_MESSAGES/popt.mo
%lang(zh_CN)	%{__prefix}/*/locale/zh_CN.GB2312/LC_MESSAGES/popt.mo

# XXX These may end up in popt-devel but it hardly seems worth the effort.
%{__libdir}/libpopt.a
%{__libdir}/libpopt.la
%{__libdir}/libpopt.so
%{__includedir}/popt.h

%changelog
* Tue Jun 03 2008 Panu Matilainen <pmatilai@redhat.com> - 4.3.3-26_nonptl
- temporarily permit conflicts in /usr/share/doc/ (#449731)

* Tue Apr 15 2008 Panu Matilainen <pmatilai@redhat.com> - 4.3.3-25_nonptl
- fix query output of name.arch when arch not installed (#440487)

* Mon Feb 11 2008 Panu Matilainen <pmatilai@redhat.com> - 4.3.3-24_nonptl
- Enable fingerprinting for everything except kernel paths (#350481)

* Wed Jul 11 2007 Panu Matilainen <pmatilai@redhat.com> - 4.3.3-23_nonptl
- Fix debugedit for Java compiled with -O0 -g (#206144)
- Install preferred arch first on multilib (#181710)

* Tue Jan 30 2007 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-22_nonptl
- Fix typo in support script

* Wed Jan 10 2007 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-21_nonptl
- Fix gpg key import (#200739)
- Update link fix for ia32e and amd64 (#186411)

* Mon Oct 30 2006 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-20_nonptl
- Ensure compatibility links for ia32e and amd64 (#186411)
- Documentation update (#199763)

* Thu Sep 07 2006 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-19_nonptl
- Fix signature verification over http (#186922)
- Handle ppc debugedit relocations (#199487)

* Wed Jun 28 2006 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-18_nonptl.1
- CHANGELOGTIME force list in python (#197144)

* Tue May 30 2006 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-18_nonptl
- Rebuild configure for new languages (#177557)

* Mon May 01 2006 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-17_nonptl
- Updated translations (#177557)

* Tue Apr 17 2006 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-16_nonptl
- Documentation updates (#180972, #180385, #172964)

* Tue Apr 17 2006 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-15_nonptl
- Update transaction lock patch (#151255)
- Enable debuginfo for manually placed files (#182681)
- Don't mmap large files (#177616)
- Fix typo (#169958)
- Fix scriptlet deadlock (#185324)
- Fix verification for zero length files (#175740)
- Enable ignoresize on erasures (#172898)

* Thu Feb 23 2006 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-14_nonptl
- Support --root for transaction lock (#151255)

* Tue Nov 22 2005 Paul Nasrat <pnasrat@redhat.com> - 4.3.3-13_nonptl
- Fix behaviour for define vs -D (#166311)

* Mon Sep 19 2005 Jeremy Katz <katzj@redhat.com> - 4.3.3-12_nonptl
- ppc inline asm causes segfault (#168706)

* Wed Aug 10 2005 Jeremy Katz <katzj@redhat.com> - 4.3.3-11_nonptl
- fix segv in rpmal from off-by-one (#165550)
- Document freshen on kernels (#137829)

* Wed May 25 2005 Paul Nasrat <pnasrat@redhat.com> 4.3.3-10_nonptl
- ppc64 build translate (#138696)

* Wed Mar 02 2005 Paul Nasrat <pnasrat@redhat.com> 4.3.3-9_nonptl
- Rebuild for U1

* Mon Feb 28 2005 Paul Nasrat <pnasrat@redhat.com> 4.3.3-8_nonptl
- fix rpmal segfault causing legacy iSeries upgrade failures

* Mon Dec  6 2004 Jeff Johnson <jbj@redhat.com> 4.3.3-7_nonptl
- refix: avoid computing md5 digest on sparse /var/log/lastlog file (#139539).

* Mon Nov 29 2004 Jeff Johnson <jbj@redhat.com> 4.3.3-6_nonptl
- move rpm_execcon after restoring LD_ASSUME_KERNEL envvar (#129334).

* Tue Nov 23 2004 Jeff Johnson <jbj@redhat.com> 4.3.3-5_nonptl
- fix: avoid computing md5 digest on sparse /var/log/lastlog file.
- fix: do not optimize /sbin/ldconfig execution, always run (#139233).

* Thu Nov 18 2004 Jeff Johnson <jbj@redhat.com> 4.3.3-4_nonptl
- avoid database corruption from LD_ASSUME_KERNEL=2.4.19 usage (#129334).

* Wed Nov 10 2004 Jeff Johnson <jbj@jbj.org>
- bump micro version.
- make peace with libtool-1.5.10 and automake-1.9.3.
- python: add python 2.4 support.
- selinux: use rpm_execcon, not execv, to run scriptlets (#136848).
- fix: segfault on --verifydb (#138589).

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 4.3.2-23
- PyDictIter_Type is no more

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 4.3.2-22
- rebuild for python 2.4

* Mon Nov  1 2004 Bill Nottingham <notting@redhat.com> 4.3.2-21
- remove excess rpmIncreaseVerbosity() calls (fixes #137834)
